%define upstream_name	 Gtk2
%define	upstream_version 1.2495

%define _default_patch_fuzz        2
%define Werror_cflags %nil

%define perl_glib_require 1.240
%define gtk_require 2.24.10
%define cairo_require 1.00
%define pango_require 1.220

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the gtk+-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch7:     Gtk2-gtk_exit.patch
Patch21:    Gtk2-1.038-xset_input_focus.patch
Patch23:    Gtk2-1.023-exception-trapping.patch 
Patch24:    relocations-2.patch
Patch25:    relocations-fixes.patch

BuildRequires: perl(Cairo) >= 1.0.0
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.240.0
BuildRequires: perl(Pango) >= 1.220.0
BuildRequires: gtk+2-devel >= %gtk_require
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib >= %perl_glib_require
BuildRequires: perl-Cairo >= %cairo_require
BuildRequires: perl-Pango >= %pango_require
# for test suite:
BuildRequires: fontconfig
BuildRequires: fonts-ttf-dejavu
BuildRequires: x11-server-xvfb
Requires:   gtk+2
Requires:   libgtk+2 => %(pkg-config --modversion gtk+-2.0||echo 2.24)
Requires:   perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:   perl-Cairo >= %cairo_require
Requires:   perl-Pango >= %pango_require
# required to avoid warnings when loading
Suggests:   canberra-gtk

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary:    Gtk2 documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Gtk2 module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
#%patch24 -p0 -b .reloc
#%patch25 -p0 -b .relocfix
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"

%check
xvfb-run %make test || :

%install
%makeinstall_std

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.yml NEWS README TODO examples
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod


%changelog
* Tue Feb 03 2015 tv <tv> 1.249.500-2.mga4
+ Revision: 813266
- new release (fix a memory allocation) (mga#15173)

* Mon Dec 16 2013 tv <tv> 1.249.0-2.mga4
+ Revision: 557307
- try to reenable testsuite

* Sat Dec 14 2013 tv <tv> 1.249.0-1.mga4
+ Revision: 556792
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.248.0-2.mga4
+ Revision: 538372
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.248.0-1.mga4
+ Revision: 489482
- new release

* Wed May 29 2013 tv <tv> 1.247.0-2.mga4
+ Revision: 429933
- temp build fix due to BS
- new release
- require gtk+2 version used to compile

* Tue Feb 19 2013 tv <tv> 1.246.0-5.mga3
+ Revision: 399462
- bump require on Glib
- drop old mdk-9.2 conflict tags

* Sun Feb 10 2013 tv <tv> 1.246.0-4.mga3
+ Revision: 397759
- fix license

* Sun Jan 13 2013 umeabot <umeabot> 1.246.0-3.mga3
+ Revision: 367869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 1.246.0-2.mga3
+ Revision: 328608
- new release

* Wed Oct 10 2012 jquelin <jquelin> 1.245.0-2.mga3
+ Revision: 304080
- fix rpm group

* Tue Aug 07 2012 tv <tv> 1.245.0-1.mga3
+ Revision: 279650
- new release

* Fri Aug 03 2012 tv <tv> 1.244.0-3.mga3
+ Revision: 278324
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 1.244.0-2.mga3
+ Revision: 277897
- rebuild with mini debug info
- drop decade old perl-GTK2 obsolete tag

* Wed May 30 2012 tv <tv> 1.244.0-1.mga3
+ Revision: 251783
- new release

* Wed May 30 2012 jquelin <jquelin> 1.242.0-3.mga3
+ Revision: 250698
- rebuild for perl 5.16

* Mon Mar 26 2012 tv <tv> 1.242.0-2.mga2
+ Revision: 226819
- bump required version so that live upgrade works smoothly after priorty
  upgrade of perl, perl-Gtk2 for rpmdrake or gurpmi (mga#5066)

* Mon Jan 23 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 200381
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170187
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 155067
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.232.0-1.mga2
+ Revision: 151274
- bump Glib require
- new release
- drop patch 0 (merged)
- new release

  + fwang <fwang>
    - rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104353
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-5.mga1
+ Revision: 100524
- fix glib2 version for require (#1432)

* Wed Mar 23 2011 blino <blino> 1.230.0-4.mga1
+ Revision: 75768
- fix #30: cope with the rename of the keysym defines in gtk+ 2.22 (from upstream git, stable branch)

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-3.mga1
+ Revision: 33796
- mageia rebuild
- imported package perl-Gtk2

